import request from '@/utils/request'

// 确认MATERIAL完成确认清单
export function handleConfirmMaterial(data) {
  return request({
    url: '/pssr/material/confirmMaterial',
    method: 'put',
    data: data
  })
}

// 驳回MATERIAL完成确认清单
export function handleTurnDownMaterial(data) {
  return request({
    url: '/pssr/material/turnDownMaterial',
    method: 'put',
    data: data
  })
}


// 查询原料列表
export function listMaterial(query) {
  return request({
    url: '/pssr/material/list',
    method: 'get',
    params: query
  })
}

// 查询原料详细
export function getMaterial(id) {
  return request({
    url: '/pssr/material/' + id,
    method: 'get'
  })
}

// 新增原料
export function addMaterial(data) {
  return request({
    url: '/pssr/material',
    method: 'post',
    data: data
  })
}

// 修改原料
export function updateMaterial(data) {
  return request({
    url: '/pssr/material',
    method: 'put',
    data: data
  })
}

// 修改原料
export function updateMaterialBatch(data) {
  return request({
    url: '/pssr/material/editBatch',
    method: 'put',
    data: data
  })
}

//
export function updateMaterialBatchBatch(data) {
  return request({
    url: '/pssr/material/editBatch/editBatch',
    method: 'put',
    data: data
  })
}



// 删除原料
export function delMaterial(id) {
  return request({
    url: '/pssr/material/' + id,
    method: 'delete'
  })
}

// 导出原料
export function exportMaterial(query) {
  return request({
    url: '/pssr/material/export',
    method: 'get',
    params: query
  })
}
